Browse Source

Sync with portage [Sun Jun 20 22:39:14 MSK 2021].

tags/1997
root 3 months ago
parent
commit
91420da003
100 changed files with 4487 additions and 3393 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. +0
    -1
      app-admin/glance/Manifest
  4. +0
    -15
      app-admin/glance/files/glance.initd
  5. +0
    -136
      app-admin/glance/glance-2020.2.9999.ebuild
  6. +0
    -136
      app-admin/glance/glance-21.0.0.ebuild
  7. +0
    -23
      app-admin/glance/metadata.xml
  8. BIN
      app-backup/Manifest.gz
  9. +0
    -89
      app-backup/snapper/snapper-0.8.15-r1.ebuild
  10. +89
    -0
      app-backup/snapper/snapper-0.8.15-r2.ebuild
  11. +89
    -0
      app-backup/snapper/snapper-0.8.16-r1.ebuild
  12. +0
    -89
      app-backup/snapper/snapper-0.8.16.ebuild
  13. +89
    -0
      app-backup/snapper/snapper-0.9.0-r1.ebuild
  14. +0
    -89
      app-backup/snapper/snapper-0.9.0.ebuild
  15. BIN
      app-benchmarks/Manifest.gz
  16. +1
    -0
      app-benchmarks/stress-ng/Manifest
  17. +41
    -0
      app-benchmarks/stress-ng/stress-ng-0.12.10.ebuild
  18. BIN
      app-crypt/Manifest.gz
  19. +65
    -0
      app-crypt/mit-krb5-appl/mit-krb5-appl-1.0.3-r1.ebuild
  20. +0
    -65
      app-crypt/mit-krb5-appl/mit-krb5-appl-1.0.3.ebuild
  21. BIN
      app-dicts/Manifest.gz
  22. +6
    -7
      app-dicts/canna-2ch/canna-2ch-20040519.ebuild
  23. +6
    -8
      app-dicts/canna-cannadic/canna-cannadic-0.95c.ebuild
  24. BIN
      app-doc/Manifest.gz
  25. +2
    -2
      app-doc/mathjax-docs/mathjax-docs-2.7.7.ebuild
  26. BIN
      app-editors/Manifest.gz
  27. +60
    -0
      app-editors/ee/ee-1.5.2-r1.ebuild
  28. +0
    -55
      app-editors/ee/ee-1.5.2.ebuild
  29. BIN
      app-emulation/Manifest.gz
  30. +8
    -4
      app-emulation/libguestfs/libguestfs-1.38.6-r103.ebuild
  31. +5
    -3
      app-emulation/libguestfs/libguestfs-1.44.1.ebuild
  32. +0
    -2
      app-emulation/spice-html5/Manifest
  33. +0
    -16
      app-emulation/spice-html5/metadata.xml
  34. +0
    -28
      app-emulation/spice-html5/spice-html5-0.2.1.ebuild
  35. +0
    -28
      app-emulation/spice-html5/spice-html5-0.2.2.ebuild
  36. +2
    -2
      app-emulation/wine-staging/Manifest
  37. +665
    -0
      app-emulation/wine-staging/wine-staging-6.11.ebuild
  38. +0
    -665
      app-emulation/wine-staging/wine-staging-6.7.ebuild
  39. +1
    -1
      app-emulation/wine-vanilla/Manifest
  40. +577
    -0
      app-emulation/wine-vanilla/wine-vanilla-6.11.ebuild
  41. +0
    -577
      app-emulation/wine-vanilla/wine-vanilla-6.7.ebuild
  42. BIN
      app-eselect/Manifest.gz
  43. +0
    -0
      app-eselect/eselect-QtPy/Manifest
  44. +0
    -25
      app-eselect/eselect-QtPy/eselect-QtPy-1.0.ebuild
  45. +0
    -11
      app-eselect/eselect-QtPy/files/qtpy.eselect-1.0
  46. +0
    -12
      app-eselect/eselect-QtPy/metadata.xml
  47. +1
    -1
      app-eselect/eselect-postgresql/eselect-postgresql-2.4.ebuild
  48. BIN
      app-i18n/Manifest.gz
  49. +0
    -98
      app-i18n/canna/canna-3.7_p3-r1.ebuild
  50. +0
    -128
      app-i18n/canna/canna-3.7_p3-r2.ebuild
  51. +0
    -154
      app-i18n/canna/canna-3.7_p3-r3.ebuild
  52. +154
    -0
      app-i18n/canna/canna-3.7_p3-r4.ebuild
  53. +0
    -80
      app-i18n/kinput2/kinput2-3.1-r2.ebuild
  54. +80
    -0
      app-i18n/kinput2/kinput2-3.1-r3.ebuild
  55. +0
    -74
      app-i18n/librime/librime-1.5.3-r1.ebuild
  56. +74
    -0
      app-i18n/librime/librime-1.5.3-r2.ebuild
  57. +74
    -0
      app-i18n/librime/librime-1.6.0-r1.ebuild
  58. +0
    -74
      app-i18n/librime/librime-1.6.0.ebuild
  59. +74
    -0
      app-i18n/librime/librime-1.6.1-r1.ebuild
  60. +0
    -74
      app-i18n/librime/librime-1.6.1.ebuild
  61. +73
    -0
      app-i18n/librime/librime-1.7.3-r1.ebuild
  62. +0
    -73
      app-i18n/librime/librime-1.7.3.ebuild
  63. +2
    -1
      app-i18n/skkfep/skkfep-0.87-r1.ebuild
  64. BIN
      app-misc/Manifest.gz
  65. +0
    -54
      app-misc/abook/abook-0.6.1-r2.ebuild
  66. +58
    -0
      app-misc/abook/abook-0.6.1-r3.ebuild
  67. +0
    -18
      app-misc/abook/files/abook-0.6.1-tinfo.patch
  68. +44
    -0
      app-misc/abook/files/abook-0.6.1-use-PKG_CHECK_MODULES-for-ncurses.patch
  69. +31
    -0
      app-misc/abook/files/abook-0.6.1-use-newer-macro-for-readline.patch
  70. +2
    -3
      app-misc/abook/files/abook-0.6.1-vformat.patch
  71. +2
    -3
      app-misc/cdircmp/cdircmp-0.3-r2.ebuild
  72. +12
    -3
      app-misc/dfshow/dfshow-0.9.1_beta-r1.ebuild
  73. +82
    -0
      app-misc/dfshow/files/dfshow-0.9.1_beta-use-PKG_CHECK_MODULES-for-ncurses-libconfig.patch
  74. +36
    -0
      app-misc/dvorakng/dvorakng-0.6.0-r1.ebuild
  75. +0
    -35
      app-misc/dvorakng/dvorakng-0.6.0.ebuild
  76. +0
    -71
      app-misc/elasticsearch/files/elasticsearch.init.7
  77. +1
    -1
      app-misc/jpipe/Manifest
  78. +0
    -42
      app-misc/jpipe/jpipe-0.1.3.7.ebuild
  79. +38
    -0
      app-misc/jpipe/jpipe-0.1.3.9.ebuild
  80. +2
    -2
      app-misc/jpipe/metadata.xml
  81. +1
    -4
      app-misc/rq/metadata.xml
  82. BIN
      app-office/Manifest.gz
  83. +1
    -0
      app-office/gtg/Manifest
  84. +69
    -0
      app-office/gtg/files/0.5-mouse-cursor-fixes1.patch
  85. +55
    -0
      app-office/gtg/files/0.5-mouse-cursor-fixes2.patch
  86. +41
    -0
      app-office/gtg/files/0.5-mouse-cursor-fixes3.patch
  87. +63
    -0
      app-office/gtg/gtg-0.5.ebuild
  88. +132
    -0
      app-office/kmymoney/kmymoney-5.1.1-r1.ebuild
  89. +0
    -132
      app-office/kmymoney/kmymoney-5.1.1.ebuild
  90. +81
    -0
      app-office/libalkimia/libalkimia-8.1.0-r1.ebuild
  91. +0
    -81
      app-office/libalkimia/libalkimia-8.1.0.ebuild
  92. +0
    -69
      app-office/sc/sc-7.16-r2.ebuild
  93. +69
    -0
      app-office/sc/sc-7.16-r3.ebuild
  94. BIN
      app-shells/Manifest.gz
  95. +652
    -0
      app-shells/nushell/Manifest
  96. +17
    -0
      app-shells/nushell/metadata.xml
  97. +720
    -0
      app-shells/nushell/nushell-0.32.0-r1.ebuild
  98. BIN
      app-text/Manifest.gz
  99. +40
    -0
      app-text/nfoview/nfoview-1.28-r1.ebuild
  100. +0
    -29
      app-text/nfoview/nfoview-1.28.ebuild

BIN
Manifest.files.gz View File


BIN
app-admin/Manifest.gz View File


+ 0
- 1
app-admin/glance/Manifest View File

@@ -1 +0,0 @@
DIST glance-21.0.0.tar.gz 2032938 BLAKE2B 9da6353d95768c8f241e8ea42def5a7a457d88ddf92c4f881649f196a57ef232ddabcf4f6816256fbd1fcb21b6e7b46811c3bf7c9b9c587fc902d008cbaf525d SHA512 83d49f96a82de0093fe3991f5138febc403964f5af1012de6e63395b82a368e08b2b7d142a889244c4261d1d019336e69050e9149d40b88e1c175f7a561e4f5d

+ 0
- 15
app-admin/glance/files/glance.initd View File

@@ -1,15 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

description="Starts ${SVCNAME} service for OpenStack"

command=/usr/bin/${RC_SVCNAME}
command_user="${GLANCE_USER:-glance}"
command_background=yes
pidfile=/run/${RC_SVCNAME}.pid
required_files=/etc/glance/${RC_SVCNAME}.conf

depend() {
need net
}

+ 0
- 136
app-admin/glance/glance-2020.2.9999.ebuild View File

@@ -1,136 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_7 python3_8 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1

DESCRIPTION="Services for discovering, registering, and retrieving VM images"
HOMEPAGE="https://launchpad.net/glance"

if [[ ${PV} == *9999 ]];then
inherit git-r3
EGIT_REPO_URI="https://github.com/openstack/glance.git"
EGIT_BRANCH="stable/victoria"
else
SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
fi

LICENSE="Apache-2.0"
SLOT="0"
IUSE="mysql postgres +sqlite +swift"
REQUIRED_USE="|| ( mysql postgres sqlite )"

#note to self, wsgiref is a python builtin, no need to package it
#>=dev-python/wsgiref-0.1.2[${PYTHON_USEDEP}]

DEPEND="
>=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
"
RDEPEND="
>=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
>=dev-python/defusedxml-0.6.0[${PYTHON_USEDEP}]
sqlite? (
>=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
)
mysql? (
>=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
!~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
)
postgres? (
>=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
)
>=dev-python/eventlet-0.25.1[${PYTHON_USEDEP}]
>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
>=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
>=dev-python/webob-1.8.1[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
>=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
>=dev-python/alembic-0.8.10[${PYTHON_USEDEP}]
>=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
>=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
>=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
>=dev-python/oslo-context-2.19.2[${PYTHON_USEDEP}]
>=dev-python/oslo-upgradecheck-0.1.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
!~dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
>=dev-python/futurist-1.2.0[${PYTHON_USEDEP}]
>=dev-python/taskflow-2.16.0[${PYTHON_USEDEP}]
>=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
>=dev-python/keystonemiddleware-4.17.0[${PYTHON_USEDEP}]
>=dev-python/WSME-0.8.0[${PYTHON_USEDEP}]
>=dev-python/prettytable-0.7.0[${PYTHON_USEDEP}]
<dev-python/prettytable-0.8.0[${PYTHON_USEDEP}]
>=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
>=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.1.0[${PYTHON_USEDEP}]
>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
>=dev-python/oslo-db-5.0.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
>=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
>=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
!~dev-python/oslo-messaging-9.0.0[${PYTHON_USEDEP}]
>=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
>=dev-python/oslo-reports-1.18.0[${PYTHON_USEDEP}]
>=dev-python/oslo-policy-2.4.1[${PYTHON_USEDEP}]
>=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
!~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
>=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
>=dev-python/glance_store-2.3.0[${PYTHON_USEDEP}]
>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
>=dev-python/cursive-0.2.1[${PYTHON_USEDEP}]
>=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
>=dev-python/os-win-3.0.0[${PYTHON_USEDEP}]
>=dev-python/castellan-0.17.0[${PYTHON_USEDEP}]
acct-user/glance
acct-group/glance
"

python_prepare_all() {
sed -i '/xattr/d' test-requirements.txt || die
sed -i '/pysendfile/d' test-requirements.txt || die
sed -i '/^hacking/d' test-requirements.txt || die
distutils-r1_python_prepare_all
}

python_install_all() {
distutils-r1_python_install_all

newinitd "${FILESDIR}/glance.initd" glance-api

diropts -m 0750 -o glance -g glance
dodir /var/log/glance /var/lib/glance/images /var/lib/glance/scrubber
keepdir /etc/glance
keepdir /var/log/glance
keepdir /var/lib/glance/images
keepdir /var/lib/glance/scrubber

insinto /etc/glance
insopts -m 0640 -o glance -g glance
doins -r etc/*.ini etc/*.conf etc/*.sample etc/*.json etc/meta*

distutils-r1_python_install_all
rm -r "${ED}"/usr/etc
}

+ 0
- 136
app-admin/glance/glance-21.0.0.ebuild View File

@@ -1,136 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_7 python3_8 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1

DESCRIPTION="Services for discovering, registering, and retrieving VM images"
HOMEPAGE="https://launchpad.net/glance"

if [[ ${PV} == *9999 ]];then
inherit git-r3
EGIT_REPO_URI="https://github.com/openstack/glance.git"
EGIT_BRANCH="stable/victoria"
else
SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
KEYWORDS="amd64 ~arm64 x86"
fi

LICENSE="Apache-2.0"
SLOT="0"
IUSE="mysql postgres +sqlite +swift"
REQUIRED_USE="|| ( mysql postgres sqlite )"

#note to self, wsgiref is a python builtin, no need to package it
#>=dev-python/wsgiref-0.1.2[${PYTHON_USEDEP}]

DEPEND="
>=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
"
RDEPEND="
>=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
>=dev-python/defusedxml-0.6.0[${PYTHON_USEDEP}]
sqlite? (
>=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
)
mysql? (
>=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
!~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
)
postgres? (
>=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
!~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
)
>=dev-python/eventlet-0.25.1[${PYTHON_USEDEP}]
>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
>=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
>=dev-python/webob-1.8.1[${PYTHON_USEDEP}]
>=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
>=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
>=dev-python/alembic-0.8.10[${PYTHON_USEDEP}]
>=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
>=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
>=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
>=dev-python/oslo-context-2.19.2[${PYTHON_USEDEP}]
>=dev-python/oslo-upgradecheck-0.1.0[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
!~dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
>=dev-python/futurist-1.2.0[${PYTHON_USEDEP}]
>=dev-python/taskflow-2.16.0[${PYTHON_USEDEP}]
>=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
>=dev-python/keystonemiddleware-4.17.0[${PYTHON_USEDEP}]
>=dev-python/WSME-0.8.0[${PYTHON_USEDEP}]
>=dev-python/prettytable-0.7.0[${PYTHON_USEDEP}]
<dev-python/prettytable-0.8.0[${PYTHON_USEDEP}]
>=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
>=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.1.0[${PYTHON_USEDEP}]
>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
>=dev-python/oslo-db-5.0.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
>=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
>=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
!~dev-python/oslo-messaging-9.0.0[${PYTHON_USEDEP}]
>=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
>=dev-python/oslo-reports-1.18.0[${PYTHON_USEDEP}]
>=dev-python/oslo-policy-2.4.1[${PYTHON_USEDEP}]
>=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
!~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
>=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
>=dev-python/glance_store-2.3.0[${PYTHON_USEDEP}]
>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
>=dev-python/cursive-0.2.1[${PYTHON_USEDEP}]
>=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
>=dev-python/os-win-3.0.0[${PYTHON_USEDEP}]
>=dev-python/castellan-0.17.0[${PYTHON_USEDEP}]
acct-user/glance
acct-group/glance
"

python_prepare_all() {
sed -i '/xattr/d' test-requirements.txt || die
sed -i '/pysendfile/d' test-requirements.txt || die
sed -i '/^hacking/d' test-requirements.txt || die
distutils-r1_python_prepare_all
}

python_install_all() {
distutils-r1_python_install_all

newinitd "${FILESDIR}/glance.initd" glance-api

diropts -m 0750 -o glance -g glance
dodir /var/log/glance /var/lib/glance/images /var/lib/glance/scrubber
keepdir /etc/glance
keepdir /var/log/glance
keepdir /var/lib/glance/images
keepdir /var/lib/glance/scrubber

insinto /etc/glance
insopts -m 0640 -o glance -g glance
doins -r etc/*.ini etc/*.conf etc/*.sample etc/*.json etc/meta*

distutils-r1_python_install_all
rm -r "${ED}"/usr/etc
}

+ 0
- 23
app-admin/glance/metadata.xml View File

@@ -1,23 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>prometheanfire@gentoo.org</email>
<name>Matthew Thode</name>
</maintainer>
<maintainer type="project">
<email>openstack@gentoo.org</email>
<name>Openstack</name>
</maintainer>
<longdescription lang="en">
Provides services for discovering, registering, and retrieving virtual
machine images. Glance has a RESTful API that allows querying of VM image
metadata as well as retrieval of the actual image.
</longdescription>
<use>
<flag name="swift">Adds swift storage support</flag>
</use>
<upstream>
<remote-id type="launchpad">glance</remote-id>
</upstream>
</pkgmetadata>

BIN
app-backup/Manifest.gz View File


+ 0
- 89
app-backup/snapper/snapper-0.8.15-r1.ebuild View File

@@ -1,89 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads]
dev-libs/json-c
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${P}-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

+ 89
- 0
app-backup/snapper/snapper-0.8.15-r2.ebuild View File

@@ -0,0 +1,89 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads(+)]
dev-libs/json-c:=
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${P}-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

+ 89
- 0
app-backup/snapper/snapper-0.8.16-r1.ebuild View File

@@ -0,0 +1,89 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads(+)]
dev-libs/json-c:=
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${PN}-0.8.15-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

+ 0
- 89
app-backup/snapper/snapper-0.8.16.ebuild View File

@@ -1,89 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads]
dev-libs/json-c
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${PN}-0.8.15-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

+ 89
- 0
app-backup/snapper/snapper-0.9.0-r1.ebuild View File

@@ -0,0 +1,89 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads(+)]
dev-libs/json-c:=
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${P}-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

+ 0
- 89
app-backup/snapper/snapper-0.9.0.ebuild View File

@@ -1,89 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools systemd bash-completion-r1

DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"

RDEPEND="dev-libs/boost:=[threads]
dev-libs/json-c
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"

DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"

PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${P}-testsuite.patch
)

src_prepare() {
default

sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}

src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)

econf "${myeconfargs[@]}"
}

src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
newbashcomp "${FILESDIR}"/${PN}.bash ${PN}
}

pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html"
}

BIN
app-benchmarks/Manifest.gz View File


+ 1
- 0
app-benchmarks/stress-ng/Manifest View File

@@ -1 +1,2 @@
DIST stress-ng-0.12.09.tar.xz 545756 BLAKE2B 72c5b1acf3f82f8d609da8b213f6321486cda9b8e05fd7390b846bea541610bab70bceb99c3684fbff732805eade7c37840d77e4ce901cc81a53ded0968bc6a1 SHA512 510b210a920b540c25e9f4cc0597924f72a80a85e6cd647346f7e91335e127e776bfa1bdcf0e67f557b7c154d2e6f2b2ed5abe9612b2552f53a8d21c920dc6c1
DIST stress-ng-0.12.10.tar.xz 547912 BLAKE2B c4389911d4ae08c4e88347830e12d5371f527d12e1b638937ba3098ac2acb9818aaa6d13ee633325e71e33de9e80ddbc1b980fde41eaa102796e74d70ff0ac3d SHA512 e41bbc9b5b7ee884b21b6a4f667e2272344c5999c1ec44f9b16887fc5afd47b3c2940869f1951c812117fe42eebe6243500bc7559b7d0156dd6cab9a74be0f79

+ 41
- 0
app-benchmarks/stress-ng/stress-ng-0.12.10.ebuild View File

@@ -0,0 +1,41 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit optfeature toolchain-funcs

DESCRIPTION="Stress test for a computer system with various selectable ways"
HOMEPAGE="https://kernel.ubuntu.com/~cking/stress-ng/"
SRC_URI="https://kernel.ubuntu.com/~cking/tarballs/${PN}/${P}.tar.xz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"

DEPEND="
dev-libs/libaio
dev-libs/libbsd
dev-libs/libgcrypt:0=
sys-apps/attr
sys-apps/keyutils:=
sys-libs/libcap
sys-libs/zlib
"

RDEPEND="${DEPEND}"

DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )

src_compile() {
export MAN_COMPRESS=0
export VERBOSE=1
tc-export CC

default
}

pkg_postinst() {
optfeature "AppArmor support" sys-libs/libapparmor
optfeature "SCTP support" net-misc/lksctp-tools
}

BIN
app-crypt/Manifest.gz View File


+ 65
- 0
app-crypt/mit-krb5-appl/mit-krb5-appl-1.0.3-r1.ebuild View File

@@ -0,0 +1,65 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools flag-o-matic toolchain-funcs

MY_P=${P/mit-}
MAJOR_MINOR="$(ver_cut 1-2)"
DESCRIPTION="Kerberized applications split from the main MIT Kerberos V distribution"
HOMEPAGE="http://web.mit.edu/kerberos/www/"
SRC_URI="http://web.mit.edu/kerberos/dist/krb5-appl/${MAJOR_MINOR}/${MY_P}-signed.tar"
S="${WORKDIR}/${MY_P}"

LICENSE="openafs-krb5-a BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"

BDEPEND="virtual/pkgconfig"
RDEPEND=">=app-crypt/mit-krb5-1.8.0
sys-libs/e2fsprogs-libs
sys-libs/ncurses:="
DEPEND="${RDEPEND}"

PATCHES=(
"${FILESDIR}/${PN}-tinfo.patch"
"${FILESDIR}/${PN}-sig_t.patch"
)

src_unpack() {
unpack ${A}
unpack ./"${MY_P}".tar.gz
}

src_prepare() {
default

sed -i -e "s/-lncurses/$($(tc-getPKG_CONFIG) --libs ncurses)/" configure.ac || die
eautoreconf
}

src_configure() {
append-cppflags "-I/usr/include/et"
append-cppflags -fno-strict-aliasing
append-cppflags -fno-strict-overflow
econf
}

src_install() {
emake DESTDIR="${ED}" install
for i in {telnetd,ftpd} ; do
mv "${ED}"/usr/share/man/man8/${i}.8 "${ED}"/usr/share/man/man8/k${i}.8 \
|| die "mv failed (man)"
mv "${ED}"/usr/sbin/${i} "${ED}"/usr/sbin/k${i} || die "mv failed"
done

for i in {rcp,rlogin,rsh,telnet,ftp} ; do
mv "${ED}"/usr/share/man/man1/${i}.1 "${ED}"/usr/share/man/man1/k${i}.1 \
|| die "mv failed (man)"
mv "${ED}"/usr/bin/${i} "${ED}"/usr/bin/k${i} || die "mv failed"
done

rm "${ED}"/usr/share/man/man1/tmac.doc || die
dodoc README
}

+ 0
- 65
app-crypt/mit-krb5-appl/mit-krb5-appl-1.0.3.ebuild View File

@@ -1,65 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit autotools flag-o-matic toolchain-funcs

MY_P=${P/mit-}
MAJOR_MINOR="$(ver_cut 1-2)"
DESCRIPTION="Kerberized applications split from the main MIT Kerberos V distribution"
HOMEPAGE="http://web.mit.edu/kerberos/www/"
SRC_URI="http://web.mit.edu/kerberos/dist/krb5-appl/${MAJOR_MINOR}/${MY_P}-signed.tar"
S="${WORKDIR}/${MY_P}"

LICENSE="openafs-krb5-a BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"

BDEPEND="virtual/pkgconfig"
RDEPEND=">=app-crypt/mit-krb5-1.8.0
sys-libs/e2fsprogs-libs
sys-libs/ncurses"
DEPEND="${RDEPEND}"

PATCHES=(
"${FILESDIR}/${PN}-tinfo.patch"
"${FILESDIR}/${PN}-sig_t.patch"
)

src_unpack() {
unpack ${A}
unpack ./"${MY_P}".tar.gz
}

src_prepare() {
default

sed -i -e "s/-lncurses/$($(tc-getPKG_CONFIG) --libs ncurses)/" configure.ac || die
eautoreconf
}

src_configure() {
append-cppflags "-I/usr/include/et"
append-cppflags -fno-strict-aliasing
append-cppflags -fno-strict-overflow
econf
}

src_install() {
emake DESTDIR="${ED}" install
for i in {telnetd,ftpd} ; do
mv "${ED}"/usr/share/man/man8/${i}.8 "${ED}"/usr/share/man/man8/k${i}.8 \
|| die "mv failed (man)"
mv "${ED}"/usr/sbin/${i} "${ED}"/usr/sbin/k${i} || die "mv failed"
done

for i in {rcp,rlogin,rsh,telnet,ftp} ; do
mv "${ED}"/usr/share/man/man1/${i}.1 "${ED}"/usr/share/man/man1/k${i}.1 \
|| die "mv failed (man)"
mv "${ED}"/usr/bin/${i} "${ED}"/usr/bin/k${i} || die "mv failed"
done

rm "${ED}"/usr/share/man/man1/tmac.doc || die
dodoc README
}

BIN
app-dicts/Manifest.gz View File


+ 6
- 7
app-dicts/canna-2ch/canna-2ch-20040519.ebuild View File

@@ -1,25 +1,24 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
EAPI=7

inherit cannadic

DESCRIPTION="Japanese Canna dictionary for 2channelers"
HOMEPAGE="http://omaemona.sourceforge.net/packages/Canna"
SRC_URI="https://dev.gentoo.org/~naota/files/${P}.tar.gz"
#SRC_URI="http://omaemona.sourceforge.net/packages/Canna/2ch.t"
S="${WORKDIR}/${PN}"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86"
IUSE="canna"

DEPEND="canna? ( app-i18n/canna )"
S="${WORKDIR}/${PN}"
BDEPEND="canna? ( app-i18n/canna )"

CANNADICS="2ch"
DICSDIRFILE="${FILESDIR}/052ch.dics.dir"
CANNADICS=( 2ch )
DICSDIRFILE="${FILESDIR}"/052ch.dics.dir

src_compile() {
# Anthy users do not need binary dictionary


+ 6
- 8
app-dicts/canna-cannadic/canna-cannadic-0.95c.ebuild View File

@@ -1,27 +1,25 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
EAPI=7

inherit cannadic

MY_P="${P/canna-/}"

DESCRIPTION="Japanese dictionary as a supplement/replacement to Canna3.5b2"
#HOMEPAGE="http://cannadic.oucrc.org/"
HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
SRC_URI="mirror://gentoo/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ppc ppc64 sparc x86"
IUSE=""

DEPEND="app-i18n/canna"
S="${WORKDIR}/${MY_P}"
BDEPEND="app-i18n/canna"

CANNADICS="gcanna gcannaf"
DICSDIRFILE="${FILESDIR}/05cannadic.dics.dir"
CANNADICS=( gcanna gcannaf )
DICSDIRFILE="${FILESDIR}"/05cannadic.dics.dir

src_compile() {
emake maindic


BIN
app-doc/Manifest.gz View File


+ 2
- 2
app-doc/mathjax-docs/mathjax-docs-2.7.7.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
@@ -14,7 +14,7 @@ S="${WORKDIR}/MathJax-docs-${COMMIT}"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"

BDEPEND="
dev-python/sphinx


BIN
app-editors/Manifest.gz View File


+ 60
- 0
app-editors/ee/ee-1.5.2-r1.ebuild View File

@@ -0,0 +1,60 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit toolchain-funcs

DESCRIPTION="An easy to use text editor. A subset of aee"
#HOMEPAGE="http://mahon.cwx.net/ http://www.users.uswest.net/~hmahon/"
HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
SRC_URI="mirror://gentoo/${P}.src.tgz"

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""

RDEPEND="
!app-editors/ersatz-emacs
sys-libs/ncurses:=
"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

S="${WORKDIR}/easyedit-${PV}"

PATCHES=(
"${FILESDIR}"/${PN}-init-location.patch
"${FILESDIR}"/${PN}-signal.patch
"${FILESDIR}"/${PN}-Wformat-security.patch
"${FILESDIR}"/${PN}-gcc-10.patch
)
DOCS=( Changes README.${PN} ${PN}.i18n.guide ${PN}.msg )

src_prepare() {
sed -i \
-e "s/make -/\$(MAKE) -/g" \
-e "/^buildee/s/$/ localmake/" \
Makefile

sed -i \
-e "s/\tcc /\t\\\\\$(CC) /" \
-e "/CFLAGS =/s/\" >/ \\\\\$(LDFLAGS)\" >/" \
-e "/other_cflag/s/ *-s//" \
-e "s/-lcurses/$($(tc-getPKG_CONFIG) --libs ncurses)/" \
create.make

default
}

src_compile() {
emake CC="$(tc-getCC)"
}

src_install() {
dobin ${PN}
doman ${PN}.1
einstalldocs
keepdir /usr/share/${PN}
}

+ 0
- 55
app-editors/ee/ee-1.5.2.ebuild View File

@@ -1,55 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

inherit toolchain-funcs

DESCRIPTION="An easy to use text editor. A subset of aee"
#HOMEPAGE="http://mahon.cwx.net/ http://www.users.uswest.net/~hmahon/"
HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
SRC_URI="mirror://gentoo/${P}.src.tgz"

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""

RDEPEND="!app-editors/ersatz-emacs"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/easyedit-${PV}"

PATCHES=(
"${FILESDIR}"/${PN}-init-location.patch
"${FILESDIR}"/${PN}-signal.patch
"${FILESDIR}"/${PN}-Wformat-security.patch
"${FILESDIR}"/${PN}-gcc-10.patch
)
DOCS=( Changes README.${PN} ${PN}.i18n.guide ${PN}.msg )

src_prepare() {
sed -i \
-e "s/make -/\$(MAKE) -/g" \
-e "/^buildee/s/$/ localmake/" \
Makefile

sed -i \
-e "s/\tcc /\t\\\\\$(CC) /" \
-e "/CFLAGS =/s/\" >/ \\\\\$(LDFLAGS)\" >/" \
-e "/other_cflag/s/ *-s//" \
-e "s/-lcurses/$($(tc-getPKG_CONFIG) --libs ncurses)/" \
create.make

default
}

src_compile() {
emake CC="$(tc-getCC)"
}

src_install() {
dobin ${PN}
doman ${PN}.1
einstalldocs
keepdir /usr/share/${PN}
}

BIN
app-emulation/Manifest.gz View File


+ 8
- 4
app-emulation/libguestfs/libguestfs-1.38.6-r103.ebuild View File

@@ -20,7 +20,7 @@ LICENSE="GPL-2 LGPL-2"
SLOT="0/"${MY_PV_1}""

KEYWORDS="~amd64"
IUSE="doc erlang +fuse gtk inspect-icons introspection libvirt lua ocaml +perl python ruby selinux static-libs systemtap test"
IUSE="doc erlang +fuse gtk inspect-icons introspection libvirt lua +ocaml +perl python ruby selinux static-libs systemtap test"
RESTRICT="!test? ( test )"

REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
@@ -138,8 +138,10 @@ src_configure() {
# configured kernel.
export vmchannel_test=no

# bug #703118
append-ldflags "-L/usr/$(get_libdir)/xcrypt"
# Give a nudge to help find libxcrypt[-system]
# bug #703118, bug #789354
append-ldflags "-L${ESYSROOT}/usr/$(get_libdir)/xcrypt"
append-ldflags "-Wl,-R${ESYSROOT}/usr/$(get_libdir)/xcrypt"

econf \
--with-bashcompletiondir="$(get_bashcompdir)" \
@@ -178,9 +180,11 @@ pkg_postinst() {
if ! use gtk ; then
einfo "virt-p2v NOT installed"
fi

if ! use ocaml ; then
einfo "Ocaml based tools and bindings (sysprep, ...) NOT installed"
einfo "OCaml based tools and bindings (virt-resize, virt-sparsify, virt-sysprep, ...) NOT installed"
fi

if ! use perl ; then
einfo "Perl based tools NOT build"
fi


+ 5
- 3
app-emulation/libguestfs/libguestfs-1.44.1.ebuild View File

@@ -20,7 +20,7 @@ LICENSE="GPL-2 LGPL-2"
SLOT="0/${MY_PV_1}"

KEYWORDS="~amd64"
IUSE="doc erlang +fuse gtk inspect-icons introspection libvirt lua ocaml +perl python ruby selinux static-libs systemtap test"
IUSE="doc erlang +fuse gtk inspect-icons introspection libvirt lua +ocaml +perl python ruby selinux static-libs systemtap test"
RESTRICT="!test? ( test )"

REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
@@ -152,8 +152,10 @@ src_configure() {
# configured kernel.
export vmchannel_test=no

# bug #703118
# Give a nudge to help find libxcrypt[-system]
# bug #703118, bug #789354
append-ldflags "-L${ESYSROOT}/usr/$(get_libdir)/xcrypt"
append-ldflags "-Wl,-R${ESYSROOT}/usr/$(get_libdir)/xcrypt"

econf \
$(use_with libvirt) \
@@ -202,7 +204,7 @@ pkg_postinst() {
fi

if ! use ocaml ; then
einfo "OCaml based tools and bindings (sysprep, ...) NOT installed"
einfo "OCaml based tools and bindings (virt-resize, virt-sparsify, virt-sysprep, ...) NOT installed"
fi

if ! use perl ; then


+ 0
- 2
app-emulation/spice-html5/Manifest View File

@@ -1,2 +0,0 @@
DIST spice-html5-spice-html5-0.2.1.tar.gz 486871 BLAKE2B 4b44ad772ab5abf13e8d3fe7c651169b340c8978f4163b9b679046efaa554f86d5919d154f16262ea28ddb512ac55ea7b6651ae63f64cf6b69033d8306191dc3 SHA512 c6e17aa465da1a0b882184bb19f2560f43fd3b345fdc00ec71774c7aec37c3453fd87b2448202011e217dda21b602d20dd4d552d49d9a52b64cb91aff092eff7
DIST spice-html5-spice-html5-0.2.2.tar.gz 487210 BLAKE2B 125e5c2b36970c787897395eb56f71f90067ca5e6a80da4981f26ed3083b3cef4aaa40d2bb9767e775f9739eb15182c2cea874305e6a247c56be00e037bee6d6 SHA512 2a486552055762e44f54a7454d97e49d8f0d92a476b768f8724e6dfb6796851bd143a2c5b74fc2cff0bcec1f86b919428562f82e4b8de51ff95dadcc8b1a8133

+ 0
- 16
app-emulation/spice-html5/metadata.xml View File

@@ -1,16 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>prometheanfire@gentoo.org</email>
<name>Matthew Thode</name>
</maintainer>
<maintainer type="project">
<email>openstack@gentoo.org</email>
<name>Openstack</name>
</maintainer>
<maintainer type="project">
<email>virtualization@gentoo.org</email>
<name>Gentoo Virtualization Project</name>
</maintainer>
</pkgmetadata>

+ 0
- 28
app-emulation/spice-html5/spice-html5-0.2.1.ebuild View File

@@ -1,28 +0,0 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Spice Javascript client"
HOMEPAGE="https://gitlab.freedesktop.org/spice/spice-html5"
SRC_URI="https://gitlab.freedesktop.org/spice/${PN}/-/archive/${P}/${PN}-${P}.tar.gz"
S="${WORKDIR}/${PN}-${P}"

LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

# no compiling
src_compile() {
true
}

src_install() {
insinto /usr/share/spice-html5
doins -r src apache.conf.sample spice.css spice.html spice_auto.html
}

+ 0
- 28
app-emulation/spice-html5/spice-html5-0.2.2.ebuild View File

@@ -1,28 +0,0 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Spice Javascript client"
HOMEPAGE="https://gitlab.freedesktop.org/spice/spice-html5"
SRC_URI="https://gitlab.freedesktop.org/spice/${PN}/-/archive/${P}/${PN}-${P}.tar.gz"
S="${WORKDIR}/${PN}-${P}"

LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

# no compiling
src_compile() {
true
}

src_install() {
insinto /usr/share/spice-html5
doins -r src apache.conf.sample spice.css spice.html spice_auto.html
}

+ 2
- 2
app-emulation/wine-staging/Manifest View File

@@ -1,9 +1,9 @@
DIST gentoo-wine-patches-20200523.tar.xz 59740 BLAKE2B 951d7f305a6e5b3759c8095629d48de4830b8a0c9558de859a9e02d9824fe85553fda2bc0820ca97022a0ca63ac28473dadfe827821220445dbf1a7fd15c7c98 SHA512 46eea45c982b475e3ff444cbd87c6a0a235fc8dcaf3d83d89655a10ed8841a9ddb09e5a638a05803f3bf2c3bd34165c16067aba561efa4c183ee396dc31cdf75
DIST wine-6.10.tar.xz 24562432 BLAKE2B aeb4efc6fcbdbbbfa71a99112224c77e1da10468e47d49de87ecf06556008e83d6e3d8655fa4439293820663910897d512a77bb78ab771632f893b46745915af SHA512 f0e8f0bdab09c979772965d167d687e88998f3fd6537a592e201a2dc9097552e03b1c413516cc8c82665a8bf17580777f48bd1ed9033641f04e7ef7f0b29cc60
DIST wine-6.7.tar.xz 24449368 BLAKE2B 002bd6e74205217d4517c8697ddb212d8bcb8ba66ac1594996e24e2d5e771119e73e65a0b42608133ebaab699a31cd6567a0ab954e8d4e1f94492ebb929d0ffb SHA512 42920921eaff5a483859fba2b9e866c6afad25427d030f971efe2136f9619b675d5eb1ddfffd54bba8caa172c3e91eb347d673cb16f45560f0ab40a184a34758
DIST wine-6.11.tar.xz 24599644 BLAKE2B 47b8eefadd59e649ac331ee236b90dfffd86ea812699f3d804bd3a7d939d099c88c4b19cf8d8e0bbe2463298abe398528c132443350f3d5eba0d23e7a3a2889c SHA512 d041ad99b6311f99df6ef40a64bc393acdc77ad4bf5f28111ebb88c133c3d338aff18f129fb30ae38cca24bf579834d4e6c7d252d5391f35b1ee81a91cc70c21
DIST wine-6.8.tar.xz 24481304 BLAKE2B 37643eb75b29a646f23620df4084809aa15ac9d390e34e2e1ffb9e0c5211df9e7595dd0d877ede61f914f4a4373a450c50f4f2da5f7a0fa880881404cd918c88 SHA512 784863e3aa11f692cee2ab3b3d99cc896c1eb41cfab8cc6b52b5a31671d82fc7f6783bae72c65d8806a8c4096000401cbd0a1a7f1a88fd980685fae67fa9bd91
DIST wine-6.9.tar.xz 24526724 BLAKE2B 9e39bbc84380f7f40a9f41e1dbd1728ae8833eab4fe977eaf9386a92b9f089cf63147e35093b084d3a61e5c7209b405caea9cee2a4bebb294b77c65fc3551d66 SHA512 e9dc4da8cd6553db4227f09b5734513939d7e361449f52472a1f51ae569377a2931a0ab6f402aef751587ff1fa50f10f222b4479aba44f862db320931eeff363
DIST wine-staging-6.10.tar.gz 9673740 BLAKE2B 3ec1dcc96dcf583f061408b7bdf4adf14fddf6bf0dcefbb9a060a63de7ea87c3df0a5a76c14e01b248c9b21c1ed25379867f9e4d392b251f56deb93a78b2752a SHA512 9ba4fb7451f675fd9ad3e872adada708e9e7e8875f69567d9f2bef2cc8024667112538a385769eac2fd4b3c157266488458e76a1abc92d0a76109ca032103bcf
DIST wine-staging-6.7.tar.gz 9722531 BLAKE2B 1df164ea23808f40baddbbe30ed92125563c3c952e13817ddea124cf780a397237e70aa48532d5b49c8b80919122a09e579f1928a13b6d17329d51f0ba03da74 SHA512 74805846e2e6e5d751c25f4b98ac671f8507d3a9b13d572e166b1885e397a6bb74bd3ea4b456d46298306d632499a4b88f97eb6d53ff049c2495cf055347611d
DIST wine-staging-6.11.tar.gz 9672754 BLAKE2B a2d77fcfe198f9c474bb754b02c3e279faec73a30678b899aeaab53cba38b74bf43724d5b1f3d46dfa7a502b0ce637d5908dea09b386009acb937d1033445d99 SHA512 b9b6f206d7a37699887a9bd65c30b9d2fc333b507461dbd532fe17db881db1e79ef5620ce2421cdde8548411924fabba0f98123342f30c8d93a019b3a2125303
DIST wine-staging-6.8.tar.gz 9709006 BLAKE2B 48a100f43cedc4217c083421d4391e5f052faf354483990552d271a5820b654b4dd4db0b3d2d1478cbdf8414da56c86e7bce05ebdb70c347d81ce0b6df811498 SHA512 a2dfe74b07b687af147b61f235ea2843ff38a563f37ed2ed68dce1cc0ff3d50dbd7c9596836c6e236e368e7a55cbe1ba881dac11bb0966e61a76a7376f92bdcc
DIST wine-staging-6.9.tar.gz 9687986 BLAKE2B 72cf53616a619638fdc91d7501c8fcc2bb9c102a1a445a9c58dd23fbb5bccc27fcf2f9635ec65b23d93839514d8aa9ede29d84d6737e49776a1d99b716295ea4 SHA512 09732ce6fe5e5460ef5f30ab3dd5581c94b27e1d2c228bc395b1defd32fc5e908ab32eb2a56e489b154e1d0f638ad792c80a64d82d90a33c943102b379bef937

+ 665
- 0
app-emulation/wine-staging/wine-staging-6.11.ebuild View File

@@ -0,0 +1,665 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru si sk sl sr_RS@cyrillic sr_RS@latin sv ta te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"

inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
MY_PN="${PN%%-*}"
MY_PV="${PV/_/-}"
MY_P="${MY_PN}-${MY_PV}"

if [[ ${MY_PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
MINOR_V=$(ver_cut 2)
if [[ ${MINOR_V} != "0" ]] ; then
MINOR_V="x"
fi
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.${MINOR_V}/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86"
fi
S="${WORKDIR}/${MY_P}"

STAGING_P="wine-staging-${MY_PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"

DESCRIPTION="Free implementation of Windows(tm) on Unix, with Wine-Staging patchset"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"

if [[ ${MY_PV} == "9999" ]] ; then
STAGING_EGIT_REPO_URI="https://github.com/wine-staging/wine-staging.git"
else
SRC_URI="${SRC_URI}
staging? ( https://github.com/wine-staging/wine-staging/archive/v${MY_PV}.tar.gz -> ${STAGING_P}.tar.gz )"
fi

LICENSE="LGPL-2.1"
SLOT="${MY_PV}"
IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes samba scanner sdl selinux +ssl staging test themes +threads +truetype udev +udisks +unwind usb v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
osmesa? ( opengl )
pipelight? ( staging )
test? ( abi_x86_32 )
themes? ( staging )
vaapi? ( staging )
vkd3d? ( vulkan )" # osmesa-opengl #286560 # X-truetype #551124

# FIXME: the test suite is unsuitable for us; many tests require net access
# or fail due to Xvfb's opengl limitations.
RESTRICT="test"

COMMON_DEPEND="
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
x11-libs/libXext[${MULTILIB_USEDEP}]
x11-libs/libXfixes[${MULTILIB_USEDEP}]
x11-libs/libXrandr[${MULTILIB_USEDEP}]
x11-libs/libXi[${MULTILIB_USEDEP}]
x11-libs/libXxf86vm[${MULTILIB_USEDEP}]
)
alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
capi? ( net-libs/libcapi[${MULTILIB_USEDEP}] )
cups? ( net-print/cups:=[${MULTILIB_USEDEP}] )
faudio? ( app-emulation/faudio:=[${MULTILIB_USEDEP}] )
fontconfig? ( media-libs/fontconfig:=[${MULTILIB_USEDEP}] )
gcrypt? ( dev-libs/libgcrypt:=[${MULTILIB_USEDEP}] )
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
gsm? ( media-sound/gsm:=[${MULTILIB_USEDEP}] )
gssapi? ( virtual/krb5[${MULTILIB_USEDEP}] )
gstreamer? (
media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
kerberos? ( virtual/krb5:0=[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
netapi? ( net-fs/samba[netapi(+),${MULTILIB_USEDEP}] )
nls? ( sys-devel/gettext[${MULTILIB_USEDEP}] )
odbc? ( dev-db/unixODBC:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
opencl? ( virtual/opencl[${MULTILIB_USEDEP}] )
opengl? (
virtual/glu[${MULTILIB_USEDEP}]
virtual/opengl[${MULTILIB_USEDEP}]
)
osmesa? ( >=media-libs/mesa-13[osmesa,${MULTILIB_USEDEP}] )
pcap? ( net-libs/libpcap[${MULTILIB_USEDEP}] )
png? ( media-libs/libpng:0=[${MULTILIB_USEDEP}] )
pulseaudio? ( media-sound/pulseaudio[${MULTILIB_USEDEP}] )
scanner? ( media-gfx/sane-backends:=[${MULTILIB_USEDEP}] )
sdl? ( media-libs/libsdl2:=[haptic,joystick,${MULTILIB_USEDEP}] )
ssl? ( net-libs/gnutls:=[${MULTILIB_USEDEP}] )
staging? ( sys-apps/attr[${MULTILIB_USEDEP}] )
themes? (
dev-libs/glib:2[${MULTILIB_USEDEP}]
x11-libs/cairo[${MULTILIB_USEDEP}]
x11-libs/gtk+:3[${MULTILIB_USEDEP}]
)
truetype? ( >=media-libs/freetype-2.0.0[${MULTILIB_USEDEP}] )
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
usb? ( virtual/libusb:1[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vaapi? ( x11-libs/libva[X,${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
vulkan? ( media-libs/vulkan-loader[${MULTILIB_USEDEP}] )
xcomposite? ( x11-libs/libXcomposite[${MULTILIB_USEDEP}] )
xinerama? ( x11-libs/libXinerama[${MULTILIB_USEDEP}] )
xml? (
dev-libs/libxml2[${MULTILIB_USEDEP}]
dev-libs/libxslt[${MULTILIB_USEDEP}]
)"

RDEPEND="${COMMON_DEPEND}
app-emulation/wine-desktop-common
>app-eselect/eselect-wine-0.3
!app-emulation/wine:0
dos? ( >=games-emulation/dosbox-0.74_p20160629 )
gecko? ( app-emulation/wine-gecko:2.47.2[abi_x86_32?,abi_x86_64?] )
mono? ( app-emulation/wine-mono:6.2.0 )
perl? (
dev-lang/perl
dev-perl/XML-Simple
)
pulseaudio? (
realtime? ( sys-auth/rtkit )
)
samba? ( >=net-fs/samba-3.0.25[winbind] )
selinux? ( sec-policy/selinux-wine )
udisks? ( sys-fs/udisks:2 )"

# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
virtual/yacc
X? ( x11-base/xorg-proto )
prelink? ( sys-devel/prelink )
staging? (
dev-lang/perl
dev-perl/XML-Simple
)
xinerama? ( x11-base/xorg-proto )"

# These use a non-standard "Wine" category, which is provided by
# /etc/xdg/applications-merged/wine.menu
QA_DESKTOP_FILE="usr/share/applications/wine-browsedrive.desktop
usr/share/applications/wine-notepad.desktop
usr/share/applications/wine-uninstaller.desktop
usr/share/applications/wine-winecfg.desktop"

PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-5.0-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-4.7-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
"${PATCHDIR}/patches/${MY_PN}-5.9-Revert-makedep-Install-also-generated-typelib-for-in.patch"
)
PATCHES_BIN=()

# https://bugs.gentoo.org/show_bug.cgi?id=635222
if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${MY_PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi

wine_compiler_check() {
# GCC-specific bugs
if tc-is-gcc; then
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
eerror "64-bit wine cannot be built with gcc-5.1 or initial patchset of 5.2.0"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.2.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/549768"
eerror
return 1
fi
fi
# bug #574044
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
eerror "or use gcc-config to select a different compiler version."
eerror "See https://bugs.gentoo.org/574044"
eerror
return 1
fi
fi
fi

# Ensure compiler support
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
eerror "You need gcc-4.4+ or clang 3.8+ to build 64-bit wine"
eerror
return 1
fi
fi
}

wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0

if use abi_x86_64; then
if tc-is-gcc && [[ $(gcc-major-version) -lt 4 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 4 ) ]]; then
eerror "You need gcc-4.4+ to compile 64-bit wine"
die
elif tc-is-clang && [[ $(clang-major-version) -lt 3 || ( $(clang-major-version) -eq 3 && $(clang-minor-version) -lt 8 ) ]]; then
eerror "You need clang-3.8+ to compile 64-bit wine"
die
fi
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -le 3 ]]; then
ewarn "GCC-5.0-5.3 suffered from compiler bugs and are no longer supported by"
ewarn "Gentoo's Toolchain Team. If your ebuild fails the compiler checks in"
ewarn "the configure phase, either update your compiler or switch to <5.0 || >=5.4"
fi
if tc-is-gcc && [[ $(gcc-major-version) -eq 5 && $(gcc-minor-version) -eq 4 ]]; then
if has "-march=i686" ${CFLAGS} && ! has "-mtune=generic" ${CFLAGS}; then
ewarn "Compilation can hang with CFLAGS=\"-march=i686\". You can temporarily work"
ewarn "around this by adding \"-mtune=generic\" to your CFLAGS for wine."
ewarn "See package.env in man 5 portage for more information on how to do this."
ewarn "See https://bugs.gentoo.org/show_bug.cgi?id=613128 for more details"
fi
fi

if use abi_x86_32 && use opencl && [[ "$(eselect opencl show 2> /dev/null)" == "intel" ]]; then
eerror "You cannot build wine with USE=opencl because intel-ocl-sdk is 64-bit only."
eerror "See https://bugs.gentoo.org/487864 for more details."
eerror
return 1
fi
}

wine_env_vcs_vars() {
local pn_live_var="${PN//[-+]/_}_LIVE_COMMIT"
local pn_live_val="${pn_live_var}"
eval pn_live_val='$'${pn_live_val}
if [[ ! -z ${pn_live_val} ]]; then
if use staging; then
eerror "Because of the multi-repo nature of ${MY_PN}, ${pn_live_var}"
eerror "cannot be used to set the commit. Instead, you may use the"
eerror "environment variables:"
eerror " EGIT_OVERRIDE_COMMIT_WINE"
eerror " EGIT_OVERRIDE_COMMIT_WINE_STAGING_WINE_STAGING"
eerror
return 1
fi
fi
if [[ ! -z ${EGIT_COMMIT} ]]; then
eerror "Commits must now be specified using the environment variables:"
eerror " EGIT_OVERRIDE_COMMIT_WINE"
eerror " EGIT_OVERRIDE_COMMIT_WINE_STAGING_WINE_STAGING"
eerror
return 1
fi
}

pkg_pretend() {
if [[ ${MERGE_TYPE} != binary ]] ; then
wine_build_environment_check || die

# Verify OSS support
if use oss && ! use kernel_FreeBSD; then
if ! has_version ">=media-sound/oss-4"; then
eerror "You cannot build wine with USE=oss without having support from a"
eerror "FreeBSD kernel or >=media-sound/oss-4 (only available through external repos)"
eerror
die
fi
fi

if use mingw && use abi_x86_32 && ! has_version "cross-i686-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-i686-w64-mingw32' compiler and its runtime for 32-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target i686-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi

if use mingw && use abi_x86_64 && ! has_version "cross-x86_64-w64-mingw32/gcc"; then
eerror
eerror "USE=\"mingw\" is currently experimental, and requires the"
eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for 64-bit builds."
eerror
eerror "These can be installed by using 'sys-devel/crossdev':"
eerror
eerror "crossdev --target x86_64-w64-mingw32"
eerror
eerror "For more information on setting up MinGW, see: https://wiki.gentoo.org/wiki/Mingw"
eerror
die "MinGW build was enabled, but no compiler to support it was found."
fi
fi
}

pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die

WINE_VARIANT="${PN#wine}-${MY_PV}"
WINE_VARIANT="${WINE_VARIANT#-}"

MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
MY_DATAROOTDIR="${EPREFIX}/usr/share/wine-${WINE_VARIANT}"
MY_DATADIR="${MY_DATAROOTDIR}"
MY_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
MY_INCLUDEDIR="${EPREFIX}/usr/include/wine-${WINE_VARIANT}"
MY_LIBEXECDIR="${EPREFIX}/usr/libexec/wine-${WINE_VARIANT}"
MY_LOCALSTATEDIR="${EPREFIX}/var/wine-${WINE_VARIANT}"
MY_MANDIR="${MY_DATADIR}/man"
}

src_unpack() {
if [[ ${MY_PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
if use staging; then
local CURRENT_WINE_COMMIT=${EGIT_VERSION}

EGIT_CHECKOUT_DIR="${STAGING_DIR}" EGIT_REPO_URI="${STAGING_EGIT_REPO_URI}" git-r3_src_unpack

local COMPAT_WINE_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die

if [[ "${CURRENT_WINE_COMMIT}" != "${COMPAT_WINE_COMMIT}" ]]; then
einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
einfo "If src_prepare fails, try emerging with the env var WINE_COMMIT."
einfo "Example: EGIT_OVERRIDE_COMMIT_WINE=${COMPAT_WINE_COMMIT} emerge -1 wine"
fi
fi
fi

default

l10n_find_plocales_changes "${S}/po" "" ".po"
}

src_prepare() {

eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}

local md5="$(md5sum server/protocol.def)"

if use staging; then
ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
ewarn "Wine bugzilla should explicitly state that staging was used."

local STAGING_EXCLUDE="-W winemenubuilder-Desktop_Icon_Path" #652176
use pipelight || STAGING_EXCLUDE="${STAGING_EXCLUDE} -W Pipelight"

# Launch wine-staging patcher in a subshell, using eapply as a backend, and gitapply.sh as a backend for binary patches
ebegin "Running Wine-Staging patch installer"
(
set -- DESTDIR="${S}" --backend=eapply --no-autoconf --all ${STAGING_EXCLUDE}
cd "${STAGING_DIR}/patches"
source "${STAGING_DIR}/patches/patchinstall.sh"
)
eend $? || die "Failed to apply Wine-Staging patches"
fi

default
eapply_bin
eautoreconf

# Modification of the server protocol requires regenerating the server requests
if [[ "$(md5sum server/protocol.def)" != "${md5}" ]]; then
einfo "server/protocol.def was patched; running tools/make_requests"
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
if ! use run-exes; then
sed -i '/^MimeType/d' loader/wine.desktop || die #117785
fi

# Edit wine.desktop to work for specific variant
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die

# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die

l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS

# Fix manpage generation for locales #469418 and abi_x86_64 #617864

# Duplicate manpages input files for wine64
local f
for f in loader/*.man.in; do
cp ${f} ${f/wine/wine64} || die
done
# Add wine64 manpages to Makefile
if use abi_x86_64; then
sed -i "/wine.man.in/i \
\\\twine64.man.in \\\\" loader/Makefile.in || die
sed -i -E 's/(.*wine)(.*\.UTF-8\.man\.in.*)/&\
\164\2/' loader/Makefile.in || die
fi

rm_man_file(){
local file="${1}"
loc=${2}
sed -i "/${loc}\.UTF-8\.man\.in/d" "${file}" || die
}

while read f; do
l10n_for_each_disabled_locale_do rm_man_file "${f}"
done < <(find -name "Makefile.in" -exec grep -q "UTF-8.man.in" "{}" \; -print)
}

src_configure() {
wine_compiler_check || die

export LDCONFIG=/bin/true
use custom-cflags || strip-flags
if use mingw; then
export CROSSCFLAGS="${CFLAGS}"
fi

multilib-minimal_src_configure
}

multilib_src_configure() {
local myconf=(
--prefix="${MY_PREFIX}"
--datarootdir="${MY_DATAROOTDIR}"
--datadir="${MY_DATADIR}"
--docdir="${MY_DOCDIR}"
--includedir="${MY_INCLUDEDIR}"
--libdir="${EPREFIX}/usr/$(get_libdir)/wine-${WINE_VARIANT}"
--libexecdir="${MY_LIBEXECDIR}"
--localstatedir="${MY_LOCALSTATEDIR}"
--mandir="${MY_MANDIR}"
--sysconfdir="${EPREFIX}/etc/wine"
$(use_with alsa)
$(use_with capi)
$(use_with lcms cms)
$(use_with cups)
$(use_with udisks dbus)
$(use_with faudio)
$(use_with fontconfig)
$(use_with ssl gnutls)
$(use_enable gecko mshtml)
$(use_with gcrypt)
$(use_with gphoto2 gphoto)
$(use_with gsm)
$(use_with gssapi)
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
$(use_with kerberos krb5)
$(use_with ldap)
# TODO: Will bug 685172 still need special handling?
$(use_with mingw)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
$(use_with netapi)
$(use_with nls gettext)
$(use_with openal)
$(use_with opencl)
$(use_with opengl)
$(use_with osmesa)
$(use_with oss)
$(use_with pcap)
$(use_with png)
$(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_with sdl)
$(use_enable test tests)
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
$(use_with usb)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
$(use_with X x)
$(use_with X xfixes)
$(use_with xcomposite)
$(use_with xinerama)
$(use_with xml)
$(use_with xml xslt)
)

use staging && myconf+=(
--with-xattr
$(use_with themes gtk3)
$(use_with vaapi va)
)

local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on amd64; #472038
# set AR and RANLIB to make QA scripts happy; #483342
tc-export PKG_CONFIG AR RANLIB

if use amd64; then
if [[ ${ABI} == amd64 ]]; then
myconf+=( --enable-win64 )
else
myconf+=( --disable-win64 )
fi

# Note: using --with-wine64 results in problems with multilib.eclass
# CC/LD hackery. We're using separate tools instead.
fi

ECONF_SOURCE=${S} \
econf "${myconf[@]}"
emake depend
}

multilib_src_test() {
# FIXME: win32-only; wine64 tests fail with "could not find the Wine loader"
if [[ ${ABI} == x86 ]]; then
if [[ $(id -u) == 0 ]]; then
ewarn "Skipping tests since they cannot be run under the root user."
ewarn "To run the test ${MY_PN} suite, add userpriv to FEATURES in make.conf"
return
fi

WINEPREFIX="${T}/.wine-${ABI}" \
virtx emake test
fi
}

multilib_src_install_all() {
local DOCS=( ANNOUNCE AUTHORS README )
add_locale_docs() {
local locale_doc="documentation/README.$1"
[[ ! -e ${locale_doc} ]] || DOCS+=( ${locale_doc} )
}
l10n_for_each_locale_do add_locale_docs

einstalldocs
prune_libtool_files --all

if ! use perl ; then # winedump calls function_grep.pl, and winemaker is a perl script
rm "${D%/}${MY_PREFIX}"/bin/{wine{dump,maker},function_grep.pl} \
"${D%/}${MY_MANDIR}"/man1/wine{dump,maker}.1 || die
fi

# Remove wineconsole if neither backend is installed #551124
if ! use X; then